ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/svn/ircd-hybrid/branches/8.0.x/configure
(Generate patch)

Comparing ircd-hybrid-7.2/configure (file contents):
Revision 912 by michael, Wed Nov 7 22:47:44 2007 UTC vs.
Revision 923 by michael, Mon Nov 12 19:15:27 2007 UTC

# Line 1501 | Line 1501 | Optional Features:
1501    --enable-fast-install[=PKGS]
1502                            optimize for fast installation [default=yes]
1503    --disable-libtool-lock  avoid locking (might break parallel builds)
1504 +  --disable-zlib          Disable ziplinks support
1505    --enable-openssl=DIR       Enable OpenSSL support (DIR optional).
1506    --disable-openssl            Disable OpenSSL support.
1507    --enable-kqueue         Force kqueue usage.
# Line 1524 | Line 1525 | Optional Packages:
1525    --with-pic              try to use only PIC/non-PIC objects [default=use
1526                            both]
1527    --with-tags[=TAGS]      include additional configurations [automatic]
1528 +  --with-zlib-path=DIR    Path to libz.so for ziplinks support.
1529    --with-nicklen=<value>  Set nickname length (default 9).
1528  --with-userlen=<value>  Set username length (default 9).
1529  --with-hostlen=<value>  Set username length (default 62).
1530    --with-topiclen=<value> Set topic length (default 160).
1531    --lclient-heap-size=<value>
1532                            Set local client heap size (default 256).
# Line 1541 | Line 1541 | Optional Packages:
1541    --ban-heap-size=<value> Set ban heap size (default 128).
1542    --topic-heap-size=<value>
1543                            Set topic heap size (default 256).
1544  --ircd-heap-size=<value>
1545                          Set ircd heap size (default 8).
1546  --mqueue-size=<value>   Set mqueue heap size (default 256).
1547  --fmsg-size=<value>     Set fmsg heap size (default 256).
1544    --nickname-history-length=<value>
1545                            Set length of nickname history list (default 1500).
1546    --with-syslog-facility=LOG
# Line 2523 | Line 2519 | ac_config_headers="$ac_config_headers co
2519  
2520  
2521  
2522 +
2523   #ltdl stuff
2524    case $enable_ltdl_convenience in
2525    no) { { echo "$as_me:$LINENO: error: this package needs a convenience libltdl" >&5
# Line 2590 | Line 2587 | fi
2587  
2588  
2589  
2590 +
2591   # Checks for programs.
2592   ac_ext=c
2593   ac_cpp='$CPP $CPPFLAGS'
# Line 4770 | Line 4768 | ia64-*-hpux*)
4768    ;;
4769   *-*-irix6*)
4770    # Find out which ABI we are using.
4771 <  echo '#line 4773 "configure"' > conftest.$ac_ext
4771 >  echo '#line 4771 "configure"' > conftest.$ac_ext
4772    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4773    (eval $ac_compile) 2>&5
4774    ac_status=$?
# Line 7507 | Line 7505 | else
7505     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7506     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7507     -e 's:$: $lt_compiler_flag:'`
7508 <   (eval echo "\"\$as_me:7510: $lt_compile\"" >&5)
7508 >   (eval echo "\"\$as_me:7508: $lt_compile\"" >&5)
7509     (eval "$lt_compile" 2>conftest.err)
7510     ac_status=$?
7511     cat conftest.err >&5
7512 <   echo "$as_me:7514: \$? = $ac_status" >&5
7512 >   echo "$as_me:7512: \$? = $ac_status" >&5
7513     if (exit $ac_status) && test -s "$ac_outfile"; then
7514       # The compiler can only warn and ignore the option if not recognized
7515       # So say no if there are warnings other than the usual output.
# Line 7797 | Line 7795 | else
7795     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7796     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7797     -e 's:$: $lt_compiler_flag:'`
7798 <   (eval echo "\"\$as_me:7800: $lt_compile\"" >&5)
7798 >   (eval echo "\"\$as_me:7798: $lt_compile\"" >&5)
7799     (eval "$lt_compile" 2>conftest.err)
7800     ac_status=$?
7801     cat conftest.err >&5
7802 <   echo "$as_me:7804: \$? = $ac_status" >&5
7802 >   echo "$as_me:7802: \$? = $ac_status" >&5
7803     if (exit $ac_status) && test -s "$ac_outfile"; then
7804       # The compiler can only warn and ignore the option if not recognized
7805       # So say no if there are warnings other than the usual output.
# Line 7901 | Line 7899 | else
7899     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7900     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7901     -e 's:$: $lt_compiler_flag:'`
7902 <   (eval echo "\"\$as_me:7904: $lt_compile\"" >&5)
7902 >   (eval echo "\"\$as_me:7902: $lt_compile\"" >&5)
7903     (eval "$lt_compile" 2>out/conftest.err)
7904     ac_status=$?
7905     cat out/conftest.err >&5
7906 <   echo "$as_me:7908: \$? = $ac_status" >&5
7906 >   echo "$as_me:7906: \$? = $ac_status" >&5
7907     if (exit $ac_status) && test -s out/conftest2.$ac_objext
7908     then
7909       # The compiler can only warn and ignore the option if not recognized
# Line 10250 | Line 10248 | else
10248    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
10249    lt_status=$lt_dlunknown
10250    cat > conftest.$ac_ext <<EOF
10251 < #line 10253 "configure"
10251 > #line 10251 "configure"
10252   #include "confdefs.h"
10253  
10254   #if HAVE_DLFCN_H
# Line 10350 | Line 10348 | else
10348    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
10349    lt_status=$lt_dlunknown
10350    cat > conftest.$ac_ext <<EOF
10351 < #line 10353 "configure"
10351 > #line 10351 "configure"
10352   #include "confdefs.h"
10353  
10354   #if HAVE_DLFCN_H
# Line 12770 | Line 12768 | else
12768     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
12769     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12770     -e 's:$: $lt_compiler_flag:'`
12771 <   (eval echo "\"\$as_me:12773: $lt_compile\"" >&5)
12771 >   (eval echo "\"\$as_me:12771: $lt_compile\"" >&5)
12772     (eval "$lt_compile" 2>conftest.err)
12773     ac_status=$?
12774     cat conftest.err >&5
12775 <   echo "$as_me:12777: \$? = $ac_status" >&5
12775 >   echo "$as_me:12775: \$? = $ac_status" >&5
12776     if (exit $ac_status) && test -s "$ac_outfile"; then
12777       # The compiler can only warn and ignore the option if not recognized
12778       # So say no if there are warnings other than the usual output.
# Line 12874 | Line 12872 | else
12872     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
12873     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12874     -e 's:$: $lt_compiler_flag:'`
12875 <   (eval echo "\"\$as_me:12877: $lt_compile\"" >&5)
12875 >   (eval echo "\"\$as_me:12875: $lt_compile\"" >&5)
12876     (eval "$lt_compile" 2>out/conftest.err)
12877     ac_status=$?
12878     cat out/conftest.err >&5
12879 <   echo "$as_me:12881: \$? = $ac_status" >&5
12879 >   echo "$as_me:12879: \$? = $ac_status" >&5
12880     if (exit $ac_status) && test -s out/conftest2.$ac_objext
12881     then
12882       # The compiler can only warn and ignore the option if not recognized
# Line 14436 | Line 14434 | else
14434     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
14435     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14436     -e 's:$: $lt_compiler_flag:'`
14437 <   (eval echo "\"\$as_me:14439: $lt_compile\"" >&5)
14437 >   (eval echo "\"\$as_me:14437: $lt_compile\"" >&5)
14438     (eval "$lt_compile" 2>conftest.err)
14439     ac_status=$?
14440     cat conftest.err >&5
14441 <   echo "$as_me:14443: \$? = $ac_status" >&5
14441 >   echo "$as_me:14441: \$? = $ac_status" >&5
14442     if (exit $ac_status) && test -s "$ac_outfile"; then
14443       # The compiler can only warn and ignore the option if not recognized
14444       # So say no if there are warnings other than the usual output.
# Line 14540 | Line 14538 | else
14538     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
14539     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14540     -e 's:$: $lt_compiler_flag:'`
14541 <   (eval echo "\"\$as_me:14543: $lt_compile\"" >&5)
14541 >   (eval echo "\"\$as_me:14541: $lt_compile\"" >&5)
14542     (eval "$lt_compile" 2>out/conftest.err)
14543     ac_status=$?
14544     cat out/conftest.err >&5
14545 <   echo "$as_me:14547: \$? = $ac_status" >&5
14545 >   echo "$as_me:14545: \$? = $ac_status" >&5
14546     if (exit $ac_status) && test -s out/conftest2.$ac_objext
14547     then
14548       # The compiler can only warn and ignore the option if not recognized
# Line 16727 | Line 16725 | else
16725     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
16726     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
16727     -e 's:$: $lt_compiler_flag:'`
16728 <   (eval echo "\"\$as_me:16730: $lt_compile\"" >&5)
16728 >   (eval echo "\"\$as_me:16728: $lt_compile\"" >&5)
16729     (eval "$lt_compile" 2>conftest.err)
16730     ac_status=$?
16731     cat conftest.err >&5
16732 <   echo "$as_me:16734: \$? = $ac_status" >&5
16732 >   echo "$as_me:16732: \$? = $ac_status" >&5
16733     if (exit $ac_status) && test -s "$ac_outfile"; then
16734       # The compiler can only warn and ignore the option if not recognized
16735       # So say no if there are warnings other than the usual output.
# Line 17017 | Line 17015 | else
17015     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
17016     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
17017     -e 's:$: $lt_compiler_flag:'`
17018 <   (eval echo "\"\$as_me:17020: $lt_compile\"" >&5)
17018 >   (eval echo "\"\$as_me:17018: $lt_compile\"" >&5)
17019     (eval "$lt_compile" 2>conftest.err)
17020     ac_status=$?
17021     cat conftest.err >&5
17022 <   echo "$as_me:17024: \$? = $ac_status" >&5
17022 >   echo "$as_me:17022: \$? = $ac_status" >&5
17023     if (exit $ac_status) && test -s "$ac_outfile"; then
17024       # The compiler can only warn and ignore the option if not recognized
17025       # So say no if there are warnings other than the usual output.
# Line 17121 | Line 17119 | else
17119     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
17120     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
17121     -e 's:$: $lt_compiler_flag:'`
17122 <   (eval echo "\"\$as_me:17124: $lt_compile\"" >&5)
17122 >   (eval echo "\"\$as_me:17122: $lt_compile\"" >&5)
17123     (eval "$lt_compile" 2>out/conftest.err)
17124     ac_status=$?
17125     cat out/conftest.err >&5
17126 <   echo "$as_me:17128: \$? = $ac_status" >&5
17126 >   echo "$as_me:17126: \$? = $ac_status" >&5
17127     if (exit $ac_status) && test -s out/conftest2.$ac_objext
17128     then
17129       # The compiler can only warn and ignore the option if not recognized
# Line 19775 | Line 19773 | LIBTOOL='$(SHELL) $(top_builddir)/libtoo
19773  
19774   LIBTOOL="$LIBTOOL --silent"
19775  
19776 +
19777   # Checks for libraries.
19778  
19779    { echo "$as_me:$LINENO: checking for library containing socket" >&5
# Line 20323 | Line 20322 | fi
20322  
20323  
20324  
20326        { echo "$as_me:$LINENO: checking for library containing crypt" >&5
20327 echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
20328 if test "${ac_cv_search_crypt+set}" = set; then
20329  echo $ECHO_N "(cached) $ECHO_C" >&6
20330 else
20331  ac_func_search_save_LIBS=$LIBS
20332 cat >conftest.$ac_ext <<_ACEOF
20333 /* confdefs.h.  */
20334 _ACEOF
20335 cat confdefs.h >>conftest.$ac_ext
20336 cat >>conftest.$ac_ext <<_ACEOF
20337 /* end confdefs.h.  */
20338
20339 /* Override any GCC internal prototype to avoid an error.
20340   Use char because int might match the return type of a GCC
20341   builtin and then its argument prototype would still apply.  */
20342 #ifdef __cplusplus
20343 extern "C"
20344 #endif
20345 char crypt ();
20346 int
20347 main ()
20348 {
20349 return crypt ();
20350  ;
20351  return 0;
20352 }
20353 _ACEOF
20354 for ac_lib in '' crypt descrypt; do
20355  if test -z "$ac_lib"; then
20356    ac_res="none required"
20357  else
20358    ac_res=-l$ac_lib
20359    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
20360  fi
20361  rm -f conftest.$ac_objext conftest$ac_exeext
20362 if { (ac_try="$ac_link"
20363 case "(($ac_try" in
20364  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20365  *) ac_try_echo=$ac_try;;
20366 esac
20367 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20368  (eval "$ac_link") 2>conftest.er1
20369  ac_status=$?
20370  grep -v '^ *+' conftest.er1 >conftest.err
20371  rm -f conftest.er1
20372  cat conftest.err >&5
20373  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20374  (exit $ac_status); } && {
20375         test -z "$ac_c_werror_flag" ||
20376         test ! -s conftest.err
20377       } && test -s conftest$ac_exeext &&
20378       $as_test_x conftest$ac_exeext; then
20379  ac_cv_search_crypt=$ac_res
20380 else
20381  echo "$as_me: failed program was:" >&5
20382 sed 's/^/| /' conftest.$ac_ext >&5
20383
20384
20385 fi
20386
20387 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
20388      conftest$ac_exeext
20389  if test "${ac_cv_search_crypt+set}" = set; then
20390  break
20391 fi
20392 done
20393 if test "${ac_cv_search_crypt+set}" = set; then
20394  :
20395 else
20396  ac_cv_search_crypt=no
20397 fi
20398 rm conftest.$ac_ext
20399 LIBS=$ac_func_search_save_LIBS
20400 fi
20401 { echo "$as_me:$LINENO: result: $ac_cv_search_crypt" >&5
20402 echo "${ECHO_T}$ac_cv_search_crypt" >&6; }
20403 ac_res=$ac_cv_search_crypt
20404 if test "$ac_res" != no; then
20405  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
20406
20407 fi
20408
20409   if test "$ac_cv_search_crypt" = "none required"; then
20410  HAVE_CRYPT_TRUE=
20411  HAVE_CRYPT_FALSE='#'
20412 else
20413  HAVE_CRYPT_TRUE='#'
20414  HAVE_CRYPT_FALSE=
20415 fi
20416
20417
20418
20419 # Checks for header files.
20420
20421 for ac_header in sys/resource.h
20422 do
20423 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
20424 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20425  { echo "$as_me:$LINENO: checking for $ac_header" >&5
20426 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
20427 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20428  echo $ECHO_N "(cached) $ECHO_C" >&6
20429 fi
20430 ac_res=`eval echo '${'$as_ac_Header'}'`
20431               { echo "$as_me:$LINENO: result: $ac_res" >&5
20432 echo "${ECHO_T}$ac_res" >&6; }
20433 else
20434  # Is the header compilable?
20435 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
20436 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
20437 cat >conftest.$ac_ext <<_ACEOF
20438 /* confdefs.h.  */
20439 _ACEOF
20440 cat confdefs.h >>conftest.$ac_ext
20441 cat >>conftest.$ac_ext <<_ACEOF
20442 /* end confdefs.h.  */
20443 $ac_includes_default
20444 #include <$ac_header>
20445 _ACEOF
20446 rm -f conftest.$ac_objext
20447 if { (ac_try="$ac_compile"
20448 case "(($ac_try" in
20449  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20450  *) ac_try_echo=$ac_try;;
20451 esac
20452 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20453  (eval "$ac_compile") 2>conftest.er1
20454  ac_status=$?
20455  grep -v '^ *+' conftest.er1 >conftest.err
20456  rm -f conftest.er1
20457  cat conftest.err >&5
20458  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20459  (exit $ac_status); } && {
20460         test -z "$ac_c_werror_flag" ||
20461         test ! -s conftest.err
20462       } && test -s conftest.$ac_objext; then
20463  ac_header_compiler=yes
20464 else
20465  echo "$as_me: failed program was:" >&5
20466 sed 's/^/| /' conftest.$ac_ext >&5
20467
20468        ac_header_compiler=no
20469 fi
20470
20471 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
20472 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
20473 echo "${ECHO_T}$ac_header_compiler" >&6; }
20474
20475 # Is the header present?
20476 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
20477 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
20478 cat >conftest.$ac_ext <<_ACEOF
20479 /* confdefs.h.  */
20480 _ACEOF
20481 cat confdefs.h >>conftest.$ac_ext
20482 cat >>conftest.$ac_ext <<_ACEOF
20483 /* end confdefs.h.  */
20484 #include <$ac_header>
20485 _ACEOF
20486 if { (ac_try="$ac_cpp conftest.$ac_ext"
20487 case "(($ac_try" in
20488  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20489  *) ac_try_echo=$ac_try;;
20490 esac
20491 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20492  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
20493  ac_status=$?
20494  grep -v '^ *+' conftest.er1 >conftest.err
20495  rm -f conftest.er1
20496  cat conftest.err >&5
20497  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20498  (exit $ac_status); } >/dev/null && {
20499         test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
20500         test ! -s conftest.err
20501       }; then
20502  ac_header_preproc=yes
20503 else
20504  echo "$as_me: failed program was:" >&5
20505 sed 's/^/| /' conftest.$ac_ext >&5
20506
20507  ac_header_preproc=no
20508 fi
20509
20510 rm -f conftest.err conftest.$ac_ext
20511 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
20512 echo "${ECHO_T}$ac_header_preproc" >&6; }
20513
20514 # So?  What about this header?
20515 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
20516  yes:no: )
20517    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
20518 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
20519    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
20520 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
20521    ac_header_preproc=yes
20522    ;;
20523  no:yes:* )
20524    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
20525 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
20526    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
20527 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
20528    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
20529 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
20530    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
20531 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
20532    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
20533 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
20534    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
20535 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
20536
20537    ;;
20538 esac
20539 { echo "$as_me:$LINENO: checking for $ac_header" >&5
20540 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
20541 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20542  echo $ECHO_N "(cached) $ECHO_C" >&6
20543 else
20544  eval "$as_ac_Header=\$ac_header_preproc"
20545 fi
20546 ac_res=`eval echo '${'$as_ac_Header'}'`
20547               { echo "$as_me:$LINENO: result: $ac_res" >&5
20548 echo "${ECHO_T}$ac_res" >&6; }
20549
20550 fi
20551 if test `eval echo '${'$as_ac_Header'}'` = yes; then
20552  cat >>confdefs.h <<_ACEOF
20553 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
20554 _ACEOF
20555
20556 fi
20557
20558 done
20559 # ick
20325  
20326   # Checks for typedefs, structures, and compiler characteristics.
20327   { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
# Line 22132 | Line 21897 | done
21897  
21898  
21899  
21900 + # Checks for header files.
21901  
21902  
21903  
# Line 22328 | Line 22094 | done
22094  
22095  
22096  
22097 +
22098 + { echo "$as_me:$LINENO: checking for /dev/null" >&5
22099 + echo $ECHO_N "checking for /dev/null... $ECHO_C" >&6; }
22100 + if test -c /dev/null ; then
22101 +
22102 + cat >>confdefs.h <<\_ACEOF
22103 + #define PATH_DEVNULL "/dev/null"
22104 + _ACEOF
22105 +
22106 +  { echo "$as_me:$LINENO: result: yes" >&5
22107 + echo "${ECHO_T}yes" >&6; }
22108 + else
22109 +
22110 + cat >>confdefs.h <<\_ACEOF
22111 + #define PATH_DEVNULL "devnull.log"
22112 + _ACEOF
22113 +
22114 +  { echo "$as_me:$LINENO: result: no - using devnull.log" >&5
22115 + echo "${ECHO_T}no - using devnull.log" >&6; }
22116 + fi
22117 +
22118 +
22119 + { echo "$as_me:$LINENO: checking for library containing crypt" >&5
22120 + echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
22121 + if test "${ac_cv_search_crypt+set}" = set; then
22122 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22123 + else
22124 +  ac_func_search_save_LIBS=$LIBS
22125 + cat >conftest.$ac_ext <<_ACEOF
22126 + /* confdefs.h.  */
22127 + _ACEOF
22128 + cat confdefs.h >>conftest.$ac_ext
22129 + cat >>conftest.$ac_ext <<_ACEOF
22130 + /* end confdefs.h.  */
22131 +
22132 + /* Override any GCC internal prototype to avoid an error.
22133 +   Use char because int might match the return type of a GCC
22134 +   builtin and then its argument prototype would still apply.  */
22135 + #ifdef __cplusplus
22136 + extern "C"
22137 + #endif
22138 + char crypt ();
22139 + int
22140 + main ()
22141 + {
22142 + return crypt ();
22143 +  ;
22144 +  return 0;
22145 + }
22146 + _ACEOF
22147 + for ac_lib in '' crypt descrypt; do
22148 +  if test -z "$ac_lib"; then
22149 +    ac_res="none required"
22150 +  else
22151 +    ac_res=-l$ac_lib
22152 +    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
22153 +  fi
22154 +  rm -f conftest.$ac_objext conftest$ac_exeext
22155 + if { (ac_try="$ac_link"
22156 + case "(($ac_try" in
22157 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22158 +  *) ac_try_echo=$ac_try;;
22159 + esac
22160 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22161 +  (eval "$ac_link") 2>conftest.er1
22162 +  ac_status=$?
22163 +  grep -v '^ *+' conftest.er1 >conftest.err
22164 +  rm -f conftest.er1
22165 +  cat conftest.err >&5
22166 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22167 +  (exit $ac_status); } && {
22168 +         test -z "$ac_c_werror_flag" ||
22169 +         test ! -s conftest.err
22170 +       } && test -s conftest$ac_exeext &&
22171 +       $as_test_x conftest$ac_exeext; then
22172 +  ac_cv_search_crypt=$ac_res
22173 + else
22174 +  echo "$as_me: failed program was:" >&5
22175 + sed 's/^/| /' conftest.$ac_ext >&5
22176 +
22177 +
22178 + fi
22179 +
22180 + rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
22181 +      conftest$ac_exeext
22182 +  if test "${ac_cv_search_crypt+set}" = set; then
22183 +  break
22184 + fi
22185 + done
22186 + if test "${ac_cv_search_crypt+set}" = set; then
22187 +  :
22188 + else
22189 +  ac_cv_search_crypt=no
22190 + fi
22191 + rm conftest.$ac_ext
22192 + LIBS=$ac_func_search_save_LIBS
22193 + fi
22194 + { echo "$as_me:$LINENO: result: $ac_cv_search_crypt" >&5
22195 + echo "${ECHO_T}$ac_cv_search_crypt" >&6; }
22196 + ac_res=$ac_cv_search_crypt
22197 + if test "$ac_res" != no; then
22198 +  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
22199 +
22200 + fi
22201 +
22202 + if test "$ac_cv_search_crypt" = "none required"; then
22203 +  HAVE_CRYPT_TRUE=
22204 +  HAVE_CRYPT_FALSE='#'
22205 + else
22206 +  HAVE_CRYPT_TRUE='#'
22207 +  HAVE_CRYPT_FALSE=
22208 + fi
22209 +
22210 +
22211 +
22212 +
22213 + # Check whether --with-zlib-path was given.
22214 + if test "${with_zlib_path+set}" = set; then
22215 +  withval=$with_zlib_path; LDFLAGS="-L$withval $LDFLAGS"
22216 + fi
22217 +
22218 +
22219 + # Check whether --enable-zlib was given.
22220 + if test "${enable_zlib+set}" = set; then
22221 +  enableval=$enable_zlib; zlib=$enableval
22222 + else
22223 +  zlib=yes
22224 + fi
22225 +
22226 +
22227 + if test "$zlib" = yes; then
22228 +  if test "${ac_cv_header_zlib_h+set}" = set; then
22229 +  { echo "$as_me:$LINENO: checking for zlib.h" >&5
22230 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6; }
22231 + if test "${ac_cv_header_zlib_h+set}" = set; then
22232 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22233 + fi
22234 + { echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
22235 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6; }
22236 + else
22237 +  # Is the header compilable?
22238 + { echo "$as_me:$LINENO: checking zlib.h usability" >&5
22239 + echo $ECHO_N "checking zlib.h usability... $ECHO_C" >&6; }
22240 + cat >conftest.$ac_ext <<_ACEOF
22241 + /* confdefs.h.  */
22242 + _ACEOF
22243 + cat confdefs.h >>conftest.$ac_ext
22244 + cat >>conftest.$ac_ext <<_ACEOF
22245 + /* end confdefs.h.  */
22246 + $ac_includes_default
22247 + #include <zlib.h>
22248 + _ACEOF
22249 + rm -f conftest.$ac_objext
22250 + if { (ac_try="$ac_compile"
22251 + case "(($ac_try" in
22252 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22253 +  *) ac_try_echo=$ac_try;;
22254 + esac
22255 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22256 +  (eval "$ac_compile") 2>conftest.er1
22257 +  ac_status=$?
22258 +  grep -v '^ *+' conftest.er1 >conftest.err
22259 +  rm -f conftest.er1
22260 +  cat conftest.err >&5
22261 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22262 +  (exit $ac_status); } && {
22263 +         test -z "$ac_c_werror_flag" ||
22264 +         test ! -s conftest.err
22265 +       } && test -s conftest.$ac_objext; then
22266 +  ac_header_compiler=yes
22267 + else
22268 +  echo "$as_me: failed program was:" >&5
22269 + sed 's/^/| /' conftest.$ac_ext >&5
22270 +
22271 +        ac_header_compiler=no
22272 + fi
22273 +
22274 + rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
22275 + { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
22276 + echo "${ECHO_T}$ac_header_compiler" >&6; }
22277 +
22278 + # Is the header present?
22279 + { echo "$as_me:$LINENO: checking zlib.h presence" >&5
22280 + echo $ECHO_N "checking zlib.h presence... $ECHO_C" >&6; }
22281 + cat >conftest.$ac_ext <<_ACEOF
22282 + /* confdefs.h.  */
22283 + _ACEOF
22284 + cat confdefs.h >>conftest.$ac_ext
22285 + cat >>conftest.$ac_ext <<_ACEOF
22286 + /* end confdefs.h.  */
22287 + #include <zlib.h>
22288 + _ACEOF
22289 + if { (ac_try="$ac_cpp conftest.$ac_ext"
22290 + case "(($ac_try" in
22291 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22292 +  *) ac_try_echo=$ac_try;;
22293 + esac
22294 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22295 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
22296 +  ac_status=$?
22297 +  grep -v '^ *+' conftest.er1 >conftest.err
22298 +  rm -f conftest.er1
22299 +  cat conftest.err >&5
22300 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22301 +  (exit $ac_status); } >/dev/null && {
22302 +         test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
22303 +         test ! -s conftest.err
22304 +       }; then
22305 +  ac_header_preproc=yes
22306 + else
22307 +  echo "$as_me: failed program was:" >&5
22308 + sed 's/^/| /' conftest.$ac_ext >&5
22309 +
22310 +  ac_header_preproc=no
22311 + fi
22312 +
22313 + rm -f conftest.err conftest.$ac_ext
22314 + { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
22315 + echo "${ECHO_T}$ac_header_preproc" >&6; }
22316 +
22317 + # So?  What about this header?
22318 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
22319 +  yes:no: )
22320 +    { echo "$as_me:$LINENO: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
22321 + echo "$as_me: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
22322 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the compiler's result" >&5
22323 + echo "$as_me: WARNING: zlib.h: proceeding with the compiler's result" >&2;}
22324 +    ac_header_preproc=yes
22325 +    ;;
22326 +  no:yes:* )
22327 +    { echo "$as_me:$LINENO: WARNING: zlib.h: present but cannot be compiled" >&5
22328 + echo "$as_me: WARNING: zlib.h: present but cannot be compiled" >&2;}
22329 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     check for missing prerequisite headers?" >&5
22330 + echo "$as_me: WARNING: zlib.h:     check for missing prerequisite headers?" >&2;}
22331 +    { echo "$as_me:$LINENO: WARNING: zlib.h: see the Autoconf documentation" >&5
22332 + echo "$as_me: WARNING: zlib.h: see the Autoconf documentation" >&2;}
22333 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&5
22334 + echo "$as_me: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&2;}
22335 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the preprocessor's result" >&5
22336 + echo "$as_me: WARNING: zlib.h: proceeding with the preprocessor's result" >&2;}
22337 +    { echo "$as_me:$LINENO: WARNING: zlib.h: in the future, the compiler will take precedence" >&5
22338 + echo "$as_me: WARNING: zlib.h: in the future, the compiler will take precedence" >&2;}
22339 +
22340 +    ;;
22341 + esac
22342 + { echo "$as_me:$LINENO: checking for zlib.h" >&5
22343 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6; }
22344 + if test "${ac_cv_header_zlib_h+set}" = set; then
22345 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22346 + else
22347 +  ac_cv_header_zlib_h=$ac_header_preproc
22348 + fi
22349 + { echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
22350 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6; }
22351 +
22352 + fi
22353 + if test $ac_cv_header_zlib_h = yes; then
22354 +  { echo "$as_me:$LINENO: checking for zlibVersion in -lz" >&5
22355 + echo $ECHO_N "checking for zlibVersion in -lz... $ECHO_C" >&6; }
22356 + if test "${ac_cv_lib_z_zlibVersion+set}" = set; then
22357 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22358 + else
22359 +  ac_check_lib_save_LIBS=$LIBS
22360 + LIBS="-lz  $LIBS"
22361 + cat >conftest.$ac_ext <<_ACEOF
22362 + /* confdefs.h.  */
22363 + _ACEOF
22364 + cat confdefs.h >>conftest.$ac_ext
22365 + cat >>conftest.$ac_ext <<_ACEOF
22366 + /* end confdefs.h.  */
22367 +
22368 + /* Override any GCC internal prototype to avoid an error.
22369 +   Use char because int might match the return type of a GCC
22370 +   builtin and then its argument prototype would still apply.  */
22371 + #ifdef __cplusplus
22372 + extern "C"
22373 + #endif
22374 + char zlibVersion ();
22375 + int
22376 + main ()
22377 + {
22378 + return zlibVersion ();
22379 +  ;
22380 +  return 0;
22381 + }
22382 + _ACEOF
22383 + rm -f conftest.$ac_objext conftest$ac_exeext
22384 + if { (ac_try="$ac_link"
22385 + case "(($ac_try" in
22386 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22387 +  *) ac_try_echo=$ac_try;;
22388 + esac
22389 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22390 +  (eval "$ac_link") 2>conftest.er1
22391 +  ac_status=$?
22392 +  grep -v '^ *+' conftest.er1 >conftest.err
22393 +  rm -f conftest.er1
22394 +  cat conftest.err >&5
22395 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22396 +  (exit $ac_status); } && {
22397 +         test -z "$ac_c_werror_flag" ||
22398 +         test ! -s conftest.err
22399 +       } && test -s conftest$ac_exeext &&
22400 +       $as_test_x conftest$ac_exeext; then
22401 +  ac_cv_lib_z_zlibVersion=yes
22402 + else
22403 +  echo "$as_me: failed program was:" >&5
22404 + sed 's/^/| /' conftest.$ac_ext >&5
22405 +
22406 +        ac_cv_lib_z_zlibVersion=no
22407 + fi
22408 +
22409 + rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
22410 +      conftest$ac_exeext conftest.$ac_ext
22411 + LIBS=$ac_check_lib_save_LIBS
22412 + fi
22413 + { echo "$as_me:$LINENO: result: $ac_cv_lib_z_zlibVersion" >&5
22414 + echo "${ECHO_T}$ac_cv_lib_z_zlibVersion" >&6; }
22415 + if test $ac_cv_lib_z_zlibVersion = yes; then
22416 +
22417 +      LIBS="-lz $LIBS"
22418 +
22419 + cat >>confdefs.h <<\_ACEOF
22420 + #define HAVE_LIBZ 1
22421 + _ACEOF
22422 +
22423 +
22424 + else
22425 +  zlib=no
22426 + fi
22427 +
22428 +
22429 + else
22430 +  zlib=no
22431 + fi
22432 +
22433 +
22434 + fi
22435 +
22436 +
22437 +
22438 +
22439 +
22440   # Check whether --enable-openssl was given.
22441   if test "${enable_openssl+set}" = set; then
22442    enableval=$enable_openssl;  cf_enable_openssl=$enableval
# Line 22980 | Line 23089 | _ACEOF
23089  
23090  
23091  
22983 # Check whether --with-userlen was given.
22984 if test "${with_userlen+set}" = set; then
22985  withval=$with_userlen; userlen="$withval"
22986 else
22987  userlen="9"
22988 fi
22989
22990
22991 cat >>confdefs.h <<_ACEOF
22992 #define USERLEN ($userlen+1)
22993 _ACEOF
22994
22995
22996
22997
22998 # Check whether --with-hostlen was given.
22999 if test "${with_hostlen+set}" = set; then
23000  withval=$with_hostlen; hostlen="$withval"
23001 else
23002  hostlen="62"
23003 fi
23004
23005
23006 cat >>confdefs.h <<_ACEOF
23007 #define HOSTLEN ($hostlen+1)
23008 _ACEOF
23009
23010
23011
23012
23092   # Check whether --with-topiclen was given.
23093   if test "${with_topiclen+set}" = set; then
23094    withval=$with_topiclen; topiclen="$withval"
# Line 23128 | Line 23207 | cat >>confdefs.h <<_ACEOF
23207   _ACEOF
23208  
23209  
23210 <
23211 <
23212 < # Check whether --with-ircd-heap-size was given.
23134 < if test "${with_ircd_heap_size+set}" = set; then
23135 <  withval=$with_ircd_heap_size; ircd_heap_size="$withval"
23136 < else
23137 <  ircd_heap_size="8"
23138 < fi
23139 <
23140 <
23141 < cat >>confdefs.h <<_ACEOF
23142 < #define IRCD_HEAP_SIZE $ircd_heap_size
23143 < _ACEOF
23144 <
23145 <
23146 <
23147 <
23148 < # Check whether --with-mqueue-heap-size was given.
23149 < if test "${with_mqueue_heap_size+set}" = set; then
23150 <  withval=$with_mqueue_heap_size; mqueue_heap_size="$withval"
23151 < else
23152 <  mqueue_heap_size="256"
23153 < fi
23154 <
23155 <
23156 < cat >>confdefs.h <<_ACEOF
23157 < #define MQUEUE_HEAP_SIZE $mqueue_heap_size
23158 < _ACEOF
23159 <
23160 <
23161 <
23162 <
23163 < # Check whether --with-fmsg-heap-size was given.
23164 < if test "${with_fmsg_heap_size+set}" = set; then
23165 <  withval=$with_fmsg_heap_size; fmsg_heap_size="$withval"
23166 < else
23167 <  fmsg_heap_size="256"
23168 < fi
23169 <
23170 <
23171 < cat >>confdefs.h <<_ACEOF
23172 < #define FMSG_HEAP_SIZE $fmsg_heap_size
23173 < _ACEOF
23174 <
23175 <
23210 > AX_ARG_WITH_IRCD_HEAP_SIZE
23211 > AX_ARG_WITH_MQUEUE_HEAP_SIZE
23212 > AX_ARG_WITH_FMSG_HEAP_SIZE
23213  
23214  
23215   # Check whether --with-nickname-history-length was given.
# Line 23555 | Line 23592 | _ACEOF
23592   subdirs="$subdirs libltdl"
23593  
23594  
23595 < ac_config_files="$ac_config_files Makefile etc/Makefile etc/example.conf etc/example.conf.quick etc/example.efnet.conf servlink/Makefile contrib/Makefile contrib/help/Makefile src/Makefile messages/Makefile modules/Makefile modules/core/Makefile doc/Makefile help/Makefile help/opers/Makefile help/users/Makefile lib/Makefile lib/pcre/Makefile"
23595 > ac_config_files="$ac_config_files Makefile etc/Makefile etc/example.conf etc/example.conf.quick etc/example.efnet.conf servlink/Makefile contrib/Makefile contrib/help/Makefile src/Makefile messages/Makefile modules/Makefile modules/core/Makefile doc/Makefile help/Makefile help/opers/Makefile help/users/Makefile lib/Makefile lib/pcre/Makefile tools/Makefile"
23596  
23597  
23598   cat >confcache <<\_ACEOF
# Line 24190 | Line 24227 | do
24227      "help/users/Makefile") CONFIG_FILES="$CONFIG_FILES help/users/Makefile" ;;
24228      "lib/Makefile") CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
24229      "lib/pcre/Makefile") CONFIG_FILES="$CONFIG_FILES lib/pcre/Makefile" ;;
24230 +    "tools/Makefile") CONFIG_FILES="$CONFIG_FILES tools/Makefile" ;;
24231  
24232    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
24233   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}

Diff Legend

Removed lines
+ Added lines
< Changed lines (old)
> Changed lines (new)